"use client";
import { timeInterval as n } from "./interval.js";
import { durationHour as t, durationSecond as o, durationMinute as u } from "./duration.js";
const i = n((e) => {
  e.setTime(e - e.getMilliseconds() - e.getSeconds() * o - e.getMinutes() * u);
}, (e, r) => {
  e.setTime(+e + r * t);
}, (e, r) => (r - e) / t, (e) => e.getHours());
i.range;
const s = n((e) => {
  e.setUTCMinutes(0, 0, 0);
}, (e, r) => {
  e.setTime(+e + r * t);
}, (e, r) => (r - e) / t, (e) => e.getUTCHours());
s.range;
export {
  i as timeHour,
  s as utcHour
};
